Memorys
Update Memory
Update memory
post
/v1/memory/{memoryId}/update
Authorization
ChatBotKit API Secret * Required
HTTP Authorization Scheme: bearer
Path Parameters
memoryIdstring* Required
Request Body * Required
Request Body Schema: application/json
namestring
The associated name
descriptionstring
The associated description
metaobject
Meta data information
contactIdstring
The contact associated with the memory
botIdstring
The bot associated with the memory
textstring
The text of the memory
expiresAtinteger
Epoch-ms timestamp at which the memory is automatically deleted; null clears any expiry
import { ChatBotKit } from '@chatbotkit/sdk'
const cbk = new ChatBotKit({
secret: process.env.CHATBOTKIT_API_KEY!
})
const response = await cbk.memory.update(
memoryId,{)"name":"string","description":"string","meta":"object","contactId":"string","botId":"string","text":"string",}"expiresAt":"integer"
{"id":"string"}The memory was updated successfully